# EuropeanHealthInsuranceCardRecognitionResultField.fromJson constructor

EuropeanHealthInsuranceCardRecognitionResultField.fromJson(

1. Map<String, dynamic> json

)

## Implementation

    factory EuropeanHealthInsuranceCardRecognitionResultField.fromJson(
            Map<String, dynamic> json) =>
        EuropeanHealthInsuranceCardRecognitionResultField(
          type: EuropeanHealthInsuranceCardRecognitionResultFieldType.values
              .byName(json["type"] as String),
          value: json["value"] as String,
          confidence: (json["confidence"] as num).toDouble(),
          validationStatus: json.containsKey("validationStatus")
              ? EuropeanHealthInsuranceCardRecognitionResultFieldValidationStatus
                  .values
                  .byName(json["validationStatus"] as String)
              : EuropeanHealthInsuranceCardRecognitionResultFieldValidationStatus
                  .NOT_VALIDATED,
        );